package com.bonus.canteen.core.health.mapper;

import java.util.List;
import com.bonus.canteen.core.health.domain.HealthPersonInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 人员健康情况Mapper接口
 *
 * @author xsheng
 * @date 2025-05-25
 */
public interface HealthPersonInfoMapper {
    /**
     * 查询人员健康情况
     *
     * @param id 人员健康情况主键
     * @return 人员健康情况
     */
    public HealthPersonInfo selectHealthPersonInfoById(Long id);

    /**
     * 查询人员健康情况列表
     *
     * @param healthPersonInfo 人员健康情况
     * @return 人员健康情况集合
     */
    public List<HealthPersonInfo> selectHealthPersonInfoList(HealthPersonInfo healthPersonInfo);

    /**
     * 新增人员健康情况
     *
     * @param healthPersonInfo 人员健康情况
     * @return 结果
     */
    public int insertHealthPersonInfo(HealthPersonInfo healthPersonInfo);

    /**
     * 修改人员健康情况
     *
     * @param healthPersonInfo 人员健康情况
     * @return 结果
     */
    public int updateHealthPersonInfo(HealthPersonInfo healthPersonInfo);

    /**
     * 删除人员健康情况
     *
     * @param id 人员健康情况主键
     * @return 结果
     */
    public int deleteHealthPersonInfoById(Long id);

    /**
     * 批量删除人员健康情况
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHealthPersonInfoByIds(Long[] ids);

    List<HealthPersonInfo> selectHealthChronicList(HealthPersonInfo healthInfoSimpleVo);

    int updateHealthInfo(HealthPersonInfo entitie);

    int getHealthBodyRecordNum(HealthPersonInfo entitie);

    int insertHealthBodyRecord(HealthPersonInfo entitie);

    int updateHealthBodyRecord(HealthPersonInfo entitie);

    int deleteHealthInfoChronic(HealthPersonInfo entitie);

    int delHealthInfo(HealthPersonInfo entitie);

    int insertHealthInfoChronic(@Param("entities") List<HealthPersonInfo> entities);

    int insertHealthInfo(HealthPersonInfo entities);
}
